Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST customers/:id/feed_records

Ostatnia modyfikacja 2026-05-18 13:56:05

Dodanie wpisu do historii kontaktu.

URL

https://your-system-name.thulium.com/api/customers/:id/feed_records

Parametry

type

wymagany

Typ wpisu (możliwe typy: ZOWIE)
payload

wymagany

Dane wpisu.

Przykładowy request

POST https://your-system-name.thulium.com/api/customers/23/feed_records
Dane {"type":"ZOWIE","payload":"[{\"id\":\"sample-id\",\"type\":\"text\",\"payload\":{\"message\":\"Sample message\"},\"author\":\"customer\",\"time\":\"2021-02-02T10:10:12\"}]"}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"type":"ZOWIE","payload":"[{\"id\":\"sample-id\",\"type\":\"text\",\"payload\":{\"message\":\"Sample message\"},\"author\":\"customer\",\"time\":\"2021-02-02T10:10:12\"}]"}';

$request = curl_init('https://your-system-name.thulium.com/api/customers/23/feed_records');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/customers/23/feed_records", "{\"type\":\"ZOWIE\",\"payload\":\"[{\\"id\\":\\"sample-id\\",\\"type\\":\\"text\\",\\"payload\\":{\\"message\\":\\"Sample message\\"},\\"author\\":\\"customer\\",\\"time\\":\\"2021-02-02T10:10:12\\"}]\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"type":"ZOWIE","payload":"[{\"id\":\"sample-id\",\"type\":\"text\",\"payload\":{\"message\":\"Sample message\"},\"author\":\"customer\",\"time\":\"2021-02-02T10:10:12\"}]"}' "https://your-system-name.thulium.com/api/customers/23/feed_records"

HTTPie
echo '{"type":"ZOWIE","payload":"[{\"id\":\"sample-id\",\"type\":\"text\",\"payload\":{\"message\":\"Sample message\"},\"author\":\"customer\",\"time\":\"2021-02-02T10:10:12\"}]"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/customers/23/feed_records